Bug 25639 - ListView ItemTapped issue on Windows Phone
Summary: ListView ItemTapped issue on Windows Phone
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 1.3.0
Hardware: Other Windows
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2014-12-29 12:44 UTC by Massimo Prota
Modified: 2015-01-22 13:13 UTC (History)
6 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Include this MainPage in a blank XForms project (1.10 KB, application/octet-stream)
2014-12-29 12:44 UTC, Massimo Prota
Details

Description Massimo Prota 2014-12-29 12:44:48 UTC
Created attachment 9201 [details]
Include this MainPage in a blank XForms project

The issue is with ItemTapped event of ListView on Windows Phone.
The event doesn't fire if tapping two times on the same item: basically on WP behaves as ItemSelected event. 
Different behavior running the same code for instance on Android.

This can be easily reproduced in a XF App with following MainPage markup
<Grid>

 <Grid.ColumnDefinitions>
    <ColumnDefinition Width="*" />
  </Grid.ColumnDefinitions>

<Grid.RowDefinitions>
  <RowDefinition Height="*" />
  <RowDefinition Height="100" />
</Grid.RowDefinitions>
<ListView x:Name="MyListView"
            RowHeight="80"
            ItemsSource="{Binding }">
  <ListView.ItemTemplate>
    <DataTemplate>
      <ViewCell>
        <ViewCell.View>
          <Label Text="{Binding }"
                 TextColor="Green"
                 Font="28" />
        </ViewCell.View>
      </ViewCell>
    </DataTemplate>
  </ListView.ItemTemplate>
</ListView>
<Label Grid.Row="1" x:Name="LogLabel" Font="28" Text="XXX" TextColor="Red" />
</Grid>

and following code behind:
 public ObservableCollection<string> Items { get; set; }
    private int _counter = 0;

    public MainPage()
    {
        this.Items = new ObservableCollection<string>();
        InitializeComponent();

        this.BindingContext = this.Items;
        MyListView.ItemTapped += (sender, e) =>
        {
            LogLabel.Text = string.Format("{0} - Item {1} Tapped!", _counter++, (string)e.Item);
        };

    }

    protected override void OnAppearing()
    {
        this.Items.Add("First");
        this.Items.Add("Second");
        this.Items.Add("Third");
        base.OnAppearing();
    }
Comment 1 Sadik Ali 2015-01-06 03:27:54 UTC
I have checked this issue and I am able to reproduce this issue.

Steps I followed:

1. Create a Blank App(Xamarin.Forms Portable) in VS
2. Use the test case mentioned in bug description.
3. Build and deploy app to emulator.

When I tap the OK button I observed that I am getting following exception:  

>System.ArgumentNullException was unhandled by user code
  HResult=-2147467261
  Message=Value cannot be null.

Screencast: http://www.screencast.com/t/zePdEt5q

Exception Details: https://gist.github.com/RamChBachkheti/43189c3f431ec1f93fc4
Debug logs: https://gist.github.com/RamChBachkheti/bdf424a68aeccc485ab0
IDE logs: https://gist.github.com/RamChBachkheti/d84752cbce58e5ffd55e

Environment Info: 

Xamarin.Forms.1.3.0.6292
Microsoft Visual Studio Professional 2013
Version 12.0.30723.00 Update 3
Microsoft .NET Framework
Version 4.5.51641

Installed Version: Professional

LightSwitch for Visual Studio 2013   06177-004-0447006-02641
Microsoft LightSwitch for Visual Studio 2013

Team Explorer for Visual Studio 2013   06177-004-0447006-02641
Microsoft Team Explorer for Visual Studio 2013

Visual Basic 2013   06177-004-0447006-02641
Microsoft Visual Basic 2013

Visual C# 2013   06177-004-0447006-02641
Microsoft Visual C# 2013

Visual C++ 2013   06177-004-0447006-02641
Microsoft Visual C++ 2013

Visual F# 2013   06177-004-0447006-02641
Microsoft Visual F# 2013

Visual Studio 2013 Code Analysis Spell Checker   06177-004-0447006-02641
Microsoft® Visual Studio® 2013 Code Analysis Spell Checker

Portions of International CorrectSpell™ spelling correction system © 1993 by Lernout & Hauspie Speech Products N.V. All rights reserved.

The American Heritage® Dictionary of the English Language, Third Edition Copyright © 1992 Houghton Mifflin Company. Electronic version licensed from Lernout & Hauspie Speech Products N.V. All rights reserved.

Windows Phone SDK 8.0 - ENU   06177-004-0447006-02641
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package   1.0
Application Insights Tools for Visual Studio

ASP.NET and Web Tools   12.3.50717.0
Microsoft Web Developer Tools contains the following components:
Support for creating and opening ASP.NET web projects
Browser Link: A communication channel between Visual Studio and browsers
Editor extensions for HTML, CSS, and JavaScript
Page Inspector: Inspection tool for ASP.NET web projects
Scaffolding: A framework for building and running code generators
Server Explorer extensions for Microsoft Azure Websites
Web publishing: Extensions for publishing ASP.NET web projects to hosting providers, on-premises servers, or Microsoft Azure

ASP.NET Web Frameworks and Tools 2012.2   4.1.21001.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.20703.0
For additional information, visit http://www.asp.net/

Common Azure Tools   1.2
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

Microsoft Advertising SDK for Windows Phone   
Microsoft Advertising SDK for Windows Phone
Build 

Microsoft Azure Mobile Services Tools   1.2
Microsoft Azure Mobile Services Tools

NuGet Package Manager   2.8.50926.663
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

Office Developer Tools for Visual Studio 2013 ENU   12.0.30626
Microsoft Office Developer Tools for Visual Studio 2013 ENU

PowerShell Tools   1.2
Provides file classification services using PowerShell

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   12.0.30919.1
Microsoft SQL Server Data Tools

Windows Phone 8.1 SDK Integration   1.0
This package integrates the tools for the Windows Phone 8.1 SDK into the menus and controls of Visual Studio.

Workflow Manager Tools 1.0   1.0
This package contains the necessary Visual Studio integration components for Workflow Manager.

Xamarin   3.8.150.0 (10cfd178d55287f09c85f5a1e604dfe20889a40f)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   4.20.0.28 (ba9bbbdd44cfdc4bf485e8885bd2ad24fba525f7)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.iOS   8.4.0.0 (840a925103a0bf4a856507f13d5eaee3c1579c2f)
Visual Studio extension to enable development for Xamarin.iOS.

Xamarin.iOS Unified Migration   1.0
Automated migration for Xamarin iOS Classic projects to Unified
Comment 2 Jason Smith [MSFT] 2015-01-19 01:46:24 UTC
Should be fixed in 1.3.2-pre1
Comment 3 Ram Chandra 2015-01-22 13:13:24 UTC
I have checked this issue with following builds:

Xamarin.Forms.1.3.2.6299-pre1
Microsoft Visual Studio Professional 2013
Version 12.0.30723.00 Update 3
Microsoft .NET Framework
Version 4.5.51641
Installed Version: Professional
Xamarin   3.9.236.0 (d6a2cae)
Xamarin.Android   4.20.0.34 (49a04b966feb40dfdba49d57ba16249b66d606a6)
Xamarin.iOS   8.6.0.0 (eb24bdcf5cba2c12b673a07e0a8cce368b9563b3)
Xamarin.iOS Unified Migration   1.0

To verify this issue I have used the test case mentioned in bug description and observed that when I tap two times on the same item the event is working fine.

Screencast: http://www.screencast.com/t/B6EnRRNZPhLo

This issue has been fixed. Hence I am closing this issue.

Note You need to log in before you can comment on or make changes to this bug.